namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// The states a job can be in.
    /// </summary>
    public enum JobStatus
    {
        /// <summary>
        /// Unknown Job Status
        /// </summary>
        Unknown,
        /// <summary>
        /// Submitted, not started
        /// </summary>
        Pending,
        /// <summary>
        /// Started, not finished
        /// </summary>
        Processing,
        /// <summary>
        /// Finished
        /// </summary>
        Finished,
        /// <summary>
        /// Failed
        /// </summary>
        Failed,
        /// <summary>
        /// Canceled
        /// </summary>
        Canceled
    }
}