namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Exposes method to invalidate a control on the Ribbon
    /// </summary>
    public interface IRibbonInvalidator
    {
        /// <summary>
        /// Invalidates the control.
        /// </summary>
        /// <param name="controlId">The control id.</param>
        void InvalidateControl(string controlId);

    }
}