using System;
using System.Collections.Generic;
using System.Text;

namespace SecurityAlgo
{
    /// <summary>
    /// Security key Class
    /// </summary>
    public class SecurityKey
    {
        private byte[] key;
        private byte[] iv;

        /// <summary>
        /// Gets or sets the key.
        /// </summary>
        /// <value>The key.</value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays")]
        public byte[] Key
        {
            get { return key; }
            set { key = value; }
        }


        /// <summary>
        /// Gets or sets the IV.
        /// </summary>
        /// <value>The IV.</value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays")]
        public byte[] IV
        {
            get { return iv; }
            set { iv = value; }
        }
    }
}
