using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Job Processing User Control
    /// </summary>
    public partial class JobProcessing : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="JobProcessing"/> class.
        /// </summary>
        public JobProcessing()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Sets the processing display message.
        /// </summary>
        /// <param name="message">The message.</param>
        public void SetProcessingDisplayMessage(string message)
        {
            this.messageLabel.Text = message;
        }
    }
}
