using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.eResearch.ScientificAddIn.Common;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Common interface to be implemented by UserControl to 
    /// be hosted in a Custom task Pane
    /// </summary>
    public interface ITaskPaneControl
    {
        /// <summary>
        /// Sets the dock position.
        /// </summary>
        /// <param name="dockPosition">The dock position.</param>
        void SetDockPosition(TaskPaneDockPosition dockPosition);
    }
}
