namespace Microsoft.eResearch.GenePattern.Common
{
   
    /// <summary>
    /// Represents an invocation of a pipeline on the server, contains the associated job and a stop point.
    /// TODO:  why don't job's have stop points?   is this object necessary?
    /// </summary>
    public class PipelineRun : DomainBase
    {
        private Job job;
        private int stopPoint;

        /// <summary>
        /// Gets or sets the job.
        /// </summary>
        /// <value>The job.</value>
        public Job Job
        {
            get { return job; }
            set { job = value; }
        }

        /// <summary>
        /// Gets or sets the stop point.
        /// </summary>
        /// <value>The stop point.</value>
        public int StopPoint
        {
            get { return stopPoint; }
            set { stopPoint = value; }
        }

    }
}
