using System;
using System.Collections.Generic;
using System.IO;
using System.Security.Cryptography;
using System.Text;
using System.Xml.Serialization;
using Infusion.GenePattern.Common;

namespace Infusion.GenePattern.Package
{
    public class DataEncryptor
    {
        private byte[] key;
        private byte[] iv;
        public void EncryptMessage(UserData data)
        {
            MemoryStream memoryStream = new MemoryStream(); // final destination stream
            XmlSerializer serializer = new XmlSerializer(typeof(UserData));
            serializer.Serialize(memoryStream, data);
            RijndaelManaged et = new RijndaelManaged();
            et.GenerateKey();
            key = et.Key;
            et.GenerateIV();
            iv = et.IV;
            ICryptoTransform ict = et.CreateEncryptor();
            CryptoStream encStream = new CryptoStream(memoryStream, ict, CryptoStreamMode.Write);
            

            ((CryptoStream)encStream).FlushFinalBlock(); // MUST BE APPLIED!
            memoryStream.Position = 0;  
        }

    }
}
