using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Enter Password Dialog
    /// </summary>
   public partial class EnterPasswordForm : Form
   {
       /// <summary>
       /// Initializes a new instance of the <see cref="EnterPasswordForm"/> class.
       /// </summary>
      public EnterPasswordForm()
      {
         InitializeComponent();
         this.BackgroundImage = Resources.Clean;
         this.BackgroundImageLayout = ImageLayout.Stretch;
      }

      /// <summary>
      /// Gets the password entered.
      /// </summary>
      /// <value>The password entered.</value>
      public string PasswordEntered
      {
         get { return textBox1.Text; }  
      }
   }
}