namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// An enumeration for the Task Panes created for the GenePattern package
    /// </summary>
    public enum TaskPaneKey
    {
        /// <summary>
        /// The default value
        /// </summary>
        Default,
        /// <summary>
        /// Represents the Dashboard task pane
        /// </summary>
        Dashboard,
        /// <summary>
        /// Represents the Associated Pipelines task pane
        /// </summary>
        ViewAssociations,
        /// <summary>
        /// Represents the Connections task pane
        /// </summary>
        Connections,
        /// <summary>
        /// Represents the Associate Pipleine task pane
        /// </summary>
        AssociatePipeline,
        /// <summary>
        /// Represents the Associate task pane
        /// </summary>
        RerunPipeline,
        /// <summary>
        /// Represents the Insert GenePattern Link task pane
        /// </summary>
        InsertGenePatternLink,
         /// <summary>
        /// Represents the EditPipeline task pane
        /// </summary>
        EditPipeline
    }
}