namespace Microsoft.eResearch.GenePattern.Package
{

    /// <summary>
    /// Associate pipeline Wizard control
    /// </summary>
    public class AssociatePipelineWizardControl : WizardBaseControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AssociatePipelineWizardControl"/> class.
        /// </summary>
        protected internal AssociatePipelineWizardControl()
        {
            
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="WizardBaseControl"/> class.
        /// </summary>
        /// <param name="model">The model.</param>
        protected internal AssociatePipelineWizardControl(IWizardModel model) : base(model)
        {
        }

        /// <summary>
        /// Gets the associate pipeline wizard model.
        /// </summary>
        /// <value>The associate pipeline wizard model.</value>
        protected AssociatePipelineWizardModel AssociatePipelineWizardModel
        {
            get { return wizardModel as AssociatePipelineWizardModel; }
        }
    }
}