namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Base control for user controls in the rerun pipeline wizard
    /// </summary>
    public class RerunPipelineWizardControl : WizardBaseControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RerunPipelineWizardControl"/> class.
        /// </summary>
        public RerunPipelineWizardControl()
        {
        }
        /// <summary>
        /// Initializes a new instance of the <see cref="WizardBaseControl"/> class.
        /// </summary>
        /// <param name="model">The model.</param>
        public RerunPipelineWizardControl(IWizardModel model) : base(model)
        {
        }

        /// <summary>
        /// Gets the rerun pipeline wizard model.
        /// </summary>
        /// <value>The rerun pipeline wizard model.</value>
        protected RerunPipelineWizardModel RerunPipelineWizardModel
        {
            get { return base.wizardModel as RerunPipelineWizardModel; }
        }
    }
}