using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Server
{
    internal class MapHelper
    {
        private MapHelper()
        {
            
        }

        public static Dictionary<string, string> GetDictionaryFromMap(Admin.Map map)
        {
            Dictionary<string, string> attributes = new Dictionary<string, string>();

            if (map != null && map.item != null)
            {
                foreach (Admin.mapItem mapItem in map.item)
                {
                    attributes.Add(mapItem.key.ToString(),
                                   mapItem.value.ToString());
                }
            }

            return attributes;
        }
    }
}
