using System.Collections.Generic;

namespace Microsoft.eResearch.ScientificAddIn.Common
{
    /// <summary>
    /// This interface is used for storing User related Data like Connection Settings
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1710:IdentifiersShouldHaveCorrectSuffix")]
    public interface IUserDataStorage : IDictionary<string, object>
    {
        /// <summary>
        /// Save User Settings (To Disk, document, database... etc)
        /// </summary>
        void Save();
    }
}
